%define anolis_release 1

Name: bubblewrap
Version: 0.5.0
Release: %{anolis_release}%{?dist}
Summary: Core execution tool for unprivileged containers

License: LGPLv2+
URL: https://github.com/projectatomic/bubblewrap
Source0: https://github.com/projectatomic/bubblewrap/releases/download/v%{version}/bubblewrap-%{version}.tar.xz

BuildRequires: autoconf automake libtool
BuildRequires: gcc
BuildRequires: libcap-devel
BuildRequires: pkgconfig(libselinux)
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: make

%description
Bubblewrap (/usr/bin/bwrap) is a core execution engine for unprivileged
containers that works as a setuid binary on kernels without
user namespaces.

%prep
%autosetup

%build
if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi
%configure --disable-silent-rules --with-priv-mode=none
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete -print

%files
%license COPYING
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/bwrap
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_bwrap
%{_bindir}/bwrap
%{_mandir}/man1/*

%changelog
* Fri Mar 04 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 0.5.0-1
- Update to 0.5.0
- Init for Anolis OS 23
